Copyright: distributable
Source: rhl-rg-en-%{version}.tbz
Release: 3
Name: rhl-rg-en
Group: Documentation
Version: 9
Summary: The Red Hat Linux %{version} Reference Guide in HTML format.
Obsoletes: rhl-rg
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

The Red Hat Linux %{version} Reference Guide provides
in-depth information about the Red Hat Linux operating system such as
the file system structure, the boot process, the boot loader, network
scripts, and email protocols.

The %{name} package contains the Red Hat Linux %{version} 
Reference Guide in HTML format.  PDF, RPM, HTML tarball, and
browsable HTML formats are available from the Red Hat Docs webpage at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Reference Guide
Comment=Reference additional Red Hat Linux information
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Fri Feb 28 2003 Tammy Fox <tfox@redhat.com> 9-3
- Include some more bug fixes

* Tue Feb 25 2003 Tammy Fox <tfox@redhat.com> 9-2
- Fix typos

* Thu Feb 20 2003 Tammy Fox <tfox@redhat.com> 9-1
- Build for Docs CD

* Thu Jan 16 2003 Tammy Fox <tfox@redhat.com> 8.0.93-1
- Build for beta Docs CD

* Mon Sep 02 2002 Tammy Fox <tfox@redhat.com> 8.0-2
- Rebuild with bug fixes

* Thu Aug 29 2002 Tammy Fox <tfox@redhat.com>
- Require htmlview

* Mon Aug 19 2002 Tammy Fox <tfox@redhat.com>
- Build for 8.0

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com>
- Build for 7.3.93

* Thu May 2 2002 Tammy Fox <tfox@redhat.com>
- Rebuild for 7.3 after beta testers feedback

* Mon Apr 08 2002 Tammy Fox <tfox@redhat.com>
- Updated version

* Wed Sep 05 2001 Tammy Fox <tfox@redhat.com>
- Added version to name of source file

* Thu Aug 30 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.2

* Mon Aug 27 2001 Edward C. Bailey <ed@redhat.com>
- Freshen for next beta

* Thu Aug  9 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.1.94

* Thu Jul 26 2001 Edward C. Bailey <ed@redhat.com>
- Updated, and moved from gzipped tarball to bzip2

* Wed Mar 14 2001 Edward C. Bailey <ed@redhat.com>
- Final build

* Fri Mar 09 2001 Edward C. Bailey <ed@redhat.com>
- Build w/updated content

* Thu Mar 01 2001 Edward C. Bailey <ed@redhat.com>
- Another beta version

* Wed Feb 14 2001 Edward C. Bailey <ed@redhat.com>
- Second public beta version

* Tue Jan 16 2001 Edward C. Bailey <ed@redhat.com>
- Created Florence Beta version

* Mon Jul 31 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 25 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 18 2000 Edward C. Bailey <ed@redhat.com>
- Make build and doc dir references use macros, and redo menu structure

* Mon Jul 03 2000 Edward C. Bailey <ed@redhat.com>
- Update to 7.0, and get rid of wmconfig cruft

* Fri Feb 18 2000 Edward C. Bailey <ed@redhat.com>
- packaged for 6.2

* Wed Sep 15 1999 Edward C. Bailey <ed@redhat.com>
- packaged for 6.1

